package cn.com.infosec.asn1.crmf;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;

public class CertReqMessages extends ASN1Encodable {
   private ASN1Sequence content;

   private CertReqMessages(ASN1Sequence seq) {
      this.content = seq;
   }

   public static CertReqMessages getInstance(Object o) {
      if (o instanceof CertReqMessages) {
         return (CertReqMessages)o;
      } else if (o instanceof ASN1Sequence) {
         return new CertReqMessages((ASN1Sequence)o);
      } else {
         throw new IllegalArgumentException("Invalid object: " + o.getClass().getName());
      }
   }

   public CertReqMsg[] toCertReqMsgArray() {
      int var1;
      CertReqMsg[] var2 = new CertReqMsg[var1 = this.content.size()];

      for(int var3 = 0; var3 != var1; ++var3) {
         var2[var3] = CertReqMsg.getInstance(this.content.getObjectAt(var3));
      }

      return var2;
   }

   public DERObject toASN1Object() {
      return this.content;
   }
}
